## Interface IPostBackDataHandler

Description

IPostBackDataHandler interface

If a control wants to load post data, it must implement this interface.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 1922)

Method Summary
boolean getDataChanged ()
boolean loadPostData (string $key, array $values)
void raisePostDataChangedEvent ()
Methods
getDataChanged (line 1942)

- return: whether postback causes the data change. Defaults to false for non-postback state.
- access: public

boolean getDataChanged ()
loadPostData (line 1932)

Loads user input data.

The implementation of this function can use $values[$key] to get the user input data that are meant for the particular control.

- return: whether the data of the control has been changed
- access: public

boolean loadPostData (string $key, array $values)

- string $key: the key that can be used to retrieve data from the input data collection
- array $values: the input data collection

raisePostDataChangedEvent (line 1938)

Raises postdata changed event.

The implementation of this function should raise appropriate event(s) (e.g. OnTextChanged) indicating the control data is changed.

- access: public

void raisePostDataChangedEvent ()

Documentation generated on Mon, 21 Apr 2008 11:34:06 -0400 by phpDocumentor 1.3.0RC4